root = true

[*]
charset = utf-8
indent_style = space
indent_size = 2
end_of_line = lf
insert_final_newline = true
trim_trailing_whitespace = true


[*.py]
indent_style = space
indent_size = 4

#Isort config
combine_as_imports = 1
default_section = THIRDPARTY
force_sort_within_sections = 1
indent = '    '
line_length = 88
lines_after_imports = 2
multi_line_output = 3
not_skip = __init__.py
sections = FUTURE,STDLIB,THIRDPARTY,FIRSTPARTY,LOCALFOLDER
use_parentheses = 1
import_heading_stdlib=Standard Library
import_heading_firstparty=Project
import_heading_thirdparty=Third party
import_heading_localfolder=Local application / specific library imports
atomic = true
combine_star = true
include_trailing_comma=True

# Makefiles always use tabs for indentation
[Makefile]
indent_style = tab
